OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Attributes | List of all members
juce::SerialisationSize< T > Struct Template Reference

`#include <juce_Serialisation.h>`

## Public Attributes
JUCE_COMPARISON_OPS T & | size

## Detailed Description

template<typename T>
struct juce::SerialisationSize< T >

Holds a reference to some kind of size value, used to indicate that an object being marshalled is of variable size (e.g. Array, vector, map, set, etc.).

If you need to write your own serialisation routines for a dynamically-sized type, ensure that you archive an instance of SerialisationSize before any of the contents of the container.

Template Parameters

  T | the (probably numeric) type of the size value

See also
  serialisztionSize()

Definition at line 117 of file juce_Serialisation.h.

## Member Data Documentation

## ◆ size

template<typename T >

JUCE_COMPARISON_OPS T& juce::SerialisationSize< T >::size

Definition at line 123 of file juce_Serialisation.h.

The documentation for this struct was generated from the following file:

- juce_Serialisation.h